Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class FactoryHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.sitemesh.FactoryHolder

    public class FactoryHolder
    extends java.lang.Object

Holds a reference to the Sitemesh Factory object.

Authors:
  Graeme Rocher

Since:
  0.6

Method Summary
`static com.opensymphony.module.sitemesh.Factory` | `getFactory()`
`static void` | `setFactory(com.opensymphony.module.sitemesh.Factory factory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getFactory

    public static com.opensymphony.module.sitemesh.Factory getFactory()

### setFactory

    public static void setFactory(com.opensymphony.module.sitemesh.Factory factory)

Groovy Documentation